Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class CatchStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CatchStatement

    public class CatchStatement
    extends Statement

Represents a catch (Exception var) { } statement

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`CatchStatement(Parameter variable, Statement code)`

Method Summary
`Statement` | `getCode()`
`ClassNode` | `getExceptionType()`
`Parameter` | `getVariable()`
`void` | `setCode(Statement code)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CatchStatement

    public CatchStatement(Parameter variable, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExceptionType

    public ClassNode getExceptionType()

### getVariable

    public Parameter getVariable()

### setCode

    public void setCode(Statement code)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation